%global with_python3 1

Name:           python-restauth
Version:        0.5.1
Release:        3%{?dist}
Summary:        Reference implementation of RestAuth specification in Python
Group:          Development/Languages
License:        GPLv3+
URL:            https://python.restauth.net/
Source0:        https://python.restauth.net/download/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3
Requires:       python-restauth-common

%description
The RestAuth project is a system providing shared authentication,
authorization and preferences.

This reference library implements all features of the RestAuth specification.
It is written in pure python and generally works with
Python 2.6 or later (including Python 3).

%if 0%{?with_python3}
%package -n python3-restauth
Summary:        Reference implementation of RestAuth specification in Python
Group:          Development/Languages
Requires:       python3-restauth-common

%description -n python3-restauth
The RestAuth project is a system providing shared authentication,
authorization and preferences.

This reference library implements all features of the RestAuth specification.
It is written in pure Python and generally works with
Python 2.6 or later (including Python 3).

%endif # if with_python3

%package doc
Summary:        RestAuth Documentation
Group:          Documentation
Requires:       python-restauth = %{version}-%{release}

%description doc
Documentation for RestAuth

%prep
%setup -q

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd
%endif # with_python3

%{__python} setup.py build_doc

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
rm -rf %{py3dir}/usr/share/doc/*
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}/usr/share/doc/*

# Install doc
cp -a ./doc/_build/html ./
rm -f html/\.buildinfo

# Remove shebangs from examples and make them non-executable
for f in examples/*.py; do
    sed '/\/usr\/bin\/env/d' $f > $f.new &&
    touch -r $f $f.new && mv $f.new $f
    chmod -x $f
done

%files
%doc AUTHORS ChangeLog COPYING COPYRIGHT
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-restauth
%doc AUTHORS ChangeLog COPYING COPYRIGHT
%{python3_sitelib}/*
%endif # with_python3

%files doc
%doc html examples

%changelog
* Thu Dec 1 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-3
- include examples

* Wed Nov 30 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-2
- include docs

* Wed Nov 02 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-1
- Initial version
